Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517657 - Missing libv8_libplatform.so and libv8_libbase.so in v8-devel
Summary: Missing libv8_libplatform.so and libv8_libbase.so in v8-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: v8
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1036130
TreeView+ depends on / blocked
 
Reported: 2017-11-27 08:12 UTC by Remi Collet
Modified: 2018-03-14 19:39 UTC (History)
7 users (show)

Fixed In Version: v8-6.2.91-7.fc26 v8-6.2.91-7.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-11 19:58:56 UTC


Attachments (Terms of Use)
0001-add-missing-symlinks-in-v8-devel-1517657.patch (deleted)
2017-11-27 09:41 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2017-11-27 08:12:29 UTC
$ rpm -ql v8 | grep lib64
/usr/lib64/libv8.so.6
/usr/lib64/libv8_libbase.so.6
/usr/lib64/libv8_libplatform.so.6

$ rpm -ql v8-devel | grep lib64
/usr/lib64/libv8.so


So, when trying to build PHP v8js extension

checking for libv8_libplatform... configure: error: could not find libv8_libplatform library

Creating the 2 missing symlinks fix this issue.
(build + test suite ok)

Comment 1 Remi Collet 2017-11-27 08:28:37 UTC
Used workaound:

ln -s %{_libdir}/libv8_libbase.so.?     libv8_libbase.so
ln -s %{_libdir}/libv8_libplatform.so.? libv8_libplatform.so
export LDFLAGS="%{__global_ldflags} -L$PWD"

Comment 2 Remi Collet 2017-11-27 09:41:56 UTC
Created attachment 1359400 [details]
0001-add-missing-symlinks-in-v8-devel-1517657.patch

trivial fix (git format patch)

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=23412002

Comment 3 Eamon Walsh 2018-02-19 21:41:42 UTC
I'm hitting this bug trying to build my v8-embedding application. I submitted a pull request here: https://src.fedoraproject.org/rpms/v8/pull-request/1. The PR only creates the symlink for libv8_libplatform, since libv8.so does link to libv8_libbase.so. Maybe the patch attached here should be preferred.

Comment 4 Tom "spot" Callaway 2018-02-19 22:06:21 UTC
Sorry this took so long to resolve. Buried in stuff, am I.

I merged Eamon's pull request and have builds going for F26+.

Comment 5 Fedora Update System 2018-02-26 15:25:53 UTC
v8-6.2.91-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5e3db878

Comment 6 Fedora Update System 2018-02-26 15:26:04 UTC
v8-6.2.91-7.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-31e6fdded2

Comment 7 Fedora Update System 2018-02-27 18:01:04 UTC
v8-6.2.91-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ff5e3db878

Comment 8 Fedora Update System 2018-02-27 18:28:49 UTC
v8-6.2.91-7.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-31e6fdded2

Comment 9 Fedora Update System 2018-03-11 19:58:56 UTC
v8-6.2.91-7.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-14 19:39:20 UTC
v8-6.2.91-7.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.